spamassassin-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chris Conn <cc...@abacom.com>
Subject Re: rpm of centos
Date Fri, 10 Jan 2020 15:09:53 GMT


On 1/9/2020 10:10 PM, Amir Caspi wrote:
> On Jan 9, 2020, at 6:59 PM, Rick Gutierrez <xserverlinux@gmail.com> wrote:
>> Hi  everyone, someone from the list who can share the rpm of the
>> latest version of spamassassin for centos 7 and 6  of x64, I want to
>> update to the latest version and I can't find the rpm.
> SA 3.4.2 is available for Fedora, and you can build it from the SRPM pretty easily for
RHEL/CentOS 7 or 6 with no modifications.
>

Hello,

I just built SA 3.4.3 on Centos8 using the fedora 32 .srpm 
spamassassin-3.4.3-2.fc32.src.rpm

First of all, make sure you have a good backup you can revert to, or are 
running it on a system that you can trash/snapshot/revert or whatever.

you need the development tools package at a minimum

yum -y groupinstall "Development tools"

make sure you have all the plugins and libraries and tools for your 
distro (I haven't done this on Centos6) and choose a srpm from Fedora 
32/31/30 that works using


rpmbuild --rebuild spamassassin-3.4.3-2.fc32.src.rpm  (my example on 
Centos8)

watch the output of the build process when it is running ./configure as 
it will tell you if you are missing any libraries or tools or whatnot it 
will be most evident here.  It will build you a RPM if successful you 
can upgrade to.


I rebuilt SA3.4.3 on Centos8 because I wanted to continue with SHA-2 
signatures and also benefit from 3.4.3 new features and plugins.  As 
well, for some reason on the stock Centos8 SA rpm, sa-compile does not 
seem to be included and I am a fan of the Rule2XSBody plugin. Maybe 
thats old fashioned, I don't know; but Centos/RHEL being so strict on 
their versioning, Centos8 is stuck with 3.4.2 forever so I am happily 
running 3.4.3 on it.

Best of luck in your build, hope this helps,

Chris


Mime
View raw message